summaryrefslogtreecommitdiffstats
path: root/tests/gnu/printf_Y_error.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
commite50c19f284dad6b4b7b79f91cc8576a97626be8a (patch)
tree3fc7b15a412d4123d403bca6fdbf3225389926e1 /tests/gnu/printf_Y_error.sh
parent7d87b96b421b76e387cee903b7b7c1bc16c54310 (diff)
downloadbfs-e50c19f284dad6b4b7b79f91cc8576a97626be8a.tar.xz
tests: Turn on set -e
Diffstat (limited to 'tests/gnu/printf_Y_error.sh')
-rw-r--r--tests/gnu/printf_Y_error.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/tests/gnu/printf_Y_error.sh b/tests/gnu/printf_Y_error.sh
index 6487711..e9a2083 100644
--- a/tests/gnu/printf_Y_error.sh
+++ b/tests/gnu/printf_Y_error.sh
@@ -1,12 +1,8 @@
clean_scratch
mkdir scratch/foo
-chmod -x scratch/foo
ln -s foo/bar scratch/bar
-bfs_diff scratch -printf '(%p) (%l) %y %Y\n'
-ret=$?
-
-chmod +x scratch/foo
-clean_scratch
+chmod -x scratch/foo
+trap "chmod +x scratch/foo" EXIT
-[ $ret -eq $EX_BFS ]
+check_exit $EX_BFS bfs_diff scratch -printf '(%p) (%l) %y %Y\n'